Package org.apache.felix.framework.security.verifier

## Class BundleDNParser

- java.lang.Object
- - org.apache.felix.framework.security.verifier.BundleDNParser

    public final class BundleDNParser
    extends java.lang.Object

### Constructor Summary

Constructors
`BundleDNParser​(TrustManager manager, org.apache.felix.framework.Logger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkDNChains​(org.apache.felix.framework.BundleRevisionImpl root, org.apache.felix.framework.cache.Content content, int signersType)`
`java.util.Map` `getCache()`
`java.util.Map` `getDNChains​(org.apache.felix.framework.BundleRevisionImpl root, org.apache.felix.framework.cache.Content bundleRevision, int signersType)`
`void` `put​(java.lang.String root, java.security.cert.X509Certificate[] dnChains)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleDNParser

    public BundleDNParser​(TrustManager manager,
                          org.apache.felix.framework.Logger logger)

### Method Detail

#### getCache

    public java.util.Map getCache()

#### put

    public void put​(java.lang.String root,
                    java.security.cert.X509Certificate[] dnChains)

#### checkDNChains

    public void checkDNChains​(org.apache.felix.framework.BundleRevisionImpl root,
                              org.apache.felix.framework.cache.Content content,
                              int signersType)
                       throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### getDNChains

    public java.util.Map getDNChains​(org.apache.felix.framework.BundleRevisionImpl root,
                                     org.apache.felix.framework.cache.Content bundleRevision,
                                     int signersType)